> ## Documentation Index
> Fetch the complete documentation index at: https://docs.manastore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Products

> Returns a paginated list of products with optional filtering

## List Products

`GET /api/v1/products`

Returns a paginated list of products with optional filtering.

### Query Parameters

| Parameter  | Type    | Default | Description                      |
| ---------- | ------- | ------- | -------------------------------- |
| `page`     | integer | 1       | Page number for pagination       |
| `per_page` | integer | 15      | Number of items per page         |
| `search`   | string  | —       | Search term to filter products   |
| `category` | string  | —       | Category name to filter products |

### Responses

| Status   | Description          |
| -------- | -------------------- |
| `200 OK` | Successful operation |

### 200 — Product List

```json theme={null}
{
  "data": [
    {
      "id": 1,
      "name": "Product Name",
      "url": "https://example.com/product",
      "description": "Product description",
      "short_description": "Short description",
      "notes": null,
      "category_name": "Games",
      "brand_name": "Steam",
      "brand_id": "BRAND123",
      "images": ["image1.jpg", "image2.jpg"],
      "region": "Global",
      "channel": "API",
      "tags": ["tag1", "tag2"],
      "isPermanentOutOfStock": false,
      "discount_percentage": 50,
      "variant": {
        "id": 1,
        "name": "Standard Edition",
        "price": {
          "amount": "5999",
          "currency": "USD",
          "formatted": "$59.99",
          "decimal": "59.99",
          "localized_decimal": "59.99"
        },
        "face_value": {
          "amount": "6999",
          "currency": "USD",
          "formatted": "$69.99",
          "decimal": "69.99",
          "localized_decimal": "69.99"
        }
      },
      "created_at": "2023-01-01T12:00:00+00:00",
      "updated_at": "2023-01-01T12:00:00+00:00"
    },
    {
      "id": 2,
      "name": "Another Product",
      "url": "https://example.com/product-2",
      "description": "Product description",
      "short_description": "Short description",
      "notes": null,
      "category_name": "Games",
      "brand_name": "Nintendo",
      "brand_id": "BRAND456",
      "images": ["image3.jpg"],
      "region": "Global",
      "channel": "Non API",
      "tags": [],
      "isPermanentOutOfStock": false,
      "discount_percentage": 0,
      "variant": {
        "id": 2,
        "name": "Standard Edition",
        "price": {
          "amount": "1000",
          "currency": "USD",
          "formatted": "$10.00",
          "decimal": "10.00",
          "localized_decimal": "10.00"
        },
        "face_value": {
          "amount": "1000",
          "currency": "USD",
          "formatted": "$10.00",
          "decimal": "10.00",
          "localized_decimal": "10.00"
        }
      },
      "created_at": "2023-01-01T12:00:00+00:00",
      "updated_at": "2023-01-01T12:00:00+00:00"
    }
  ],
  "links": {
    "first": "http://example.com/api/resources?page=1",
    "last": "http://example.com/api/resources?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "per_page": 15,
    "to": 15,
    "total": 15
  }
}
```
